<?php
/**
 * Created by PhpStorm.
 * User: Noa
 * Date: 09/10/2017
 * Time: 14:18
 */

require_once '../vendor/autoload.php';

use GuzzleHttp\Psr7\Request;
use GuzzleHttp\Psr7\Response;
use GuzzleHttp\Psr7\ServerRequest;
use function Http\Response\send;
use Retailmenot\Lab\Middleware\Dispatcher;
use Retailmenot\Lab\Middleware\middlewares\DummyMiddleware1;
use Retailmenot\Lab\Middleware\middlewares\DummyMiddleware2;
use Retailmenot\Lab\Middleware\middlewares\RmnMiddleware;


/**
 * @var Request $request
 */
$request = ServerRequest::fromGlobals();
$response = new Response();
$dispatcher = new Dispatcher();
$dispatcher->pipe(new DummyMiddleware1());
$dispatcher->pipe(new DummyMiddleware2());
$dispatcher->pipe(new RmnMiddleware());

$response = $dispatcher->process($request, $response);

send($response);
